<template>
  <div class="app">
   <ul>
     <li v-for="producto in productos" :key="producto.id">
         <div :class="{txt_disponible : producto.disponibilidad === disponibilidad, txt_no_disponible : producto.disponibilidad !== disponibilidad}">
             <div class="imgback" :style="{ backgroundImage: `url(${producto.imagen})` }" :class="{img_disponible : producto.disponibilidad === disponibilidad, img_no_disponible : producto.disponibilidad !== disponibilidad}"> 
               <span class="nameproduct" >{{producto.nombre}}</span>

                 <!-- <img style="position:relative" :src="producto.imagen" :class="{img_disponible : producto.disponibilidad === disponibilidad, img_no_disponible : producto.disponibilidad !== disponibilidad}"> -->
             </div>
             <!-- <p>
                <strong>Nombre:</strong>
                {{producto.nombre}}
             </p> -->
             <p>
                Actualmente quedan <strong>{{producto.stock}}</strong> productos 
             </p>
             <p>
                <!-- <strong>Disponibilidad:</strong> -->
               <!-- usamos la directiva v-if para mostrar u ocultar elementos dependiendo del resultado -->
                <span :class="{bot_disponible : producto.disponibilidad === disponibilidad, bot_no_disponible : producto.disponibilidad !== disponibilidad}">
                    <strong>{{producto.disponibilidad}}</strong>
                </span>
             </p>
             <span v-if="producto.disponibilidad === disponibilidad">
                <button @click="comprar">Comprar</button>
                <button @click="reservar">Reservar</button>
             </span>
         </div>
     </li>
   </ul>
  </div>
</template>

<script>
import Swal from 'sweetalert2';

export default {
  name: 'ProductosCustom',
    //INICIO PROPS
  props:{
        // recibimos los productos mediante un array
        productos: Array
    },
//FIN PROPS
    //INICIO DATA
    data(){
        return{
            disponibilidad: "Disponible"
        }
    },
//FIN DATA
    //INICIO METHODS
 methods: {
    comprar() {
      // Use sweetalert2 comprar
    Swal.fire('Comprado',
                'Gracias por comprar este producto',
                'success'
            )
    },
    reservar() {
      // Use sweetalert2 comprar
    Swal.fire('Reservado',
                'Su producto queda reservado',
                'info'
            )
    },
  },
}


// FIN METHODS
</script>
<style scoped>
.app {
  background-color: whitesmoke;
   display: flex;

}

img{
width: 15rem;
}

ul {
 display: flex;
 align-items: left;
 justify-content: flex-start;
 flex-wrap: wrap;
}

li {
 width: 15rem;
 margin: 0.5rem;
 background-color: white;
 list-style:none;
 border-radius: 0.2rem;
 box-shadow:  0 0.1rem 0.1rem rgba(0, 0, 0, 0.1);
}

div p{
    text-align: left;
    padding: 0 1rem 0 1rem;
}
.imgback {
  display:flex;
  justify-content: flex-start;
  width: 100%;
  height: 200px;
  -webkit-background-size: cover;
  -moz-background-size: cover;
   -o-background-size: cover;
   background-size: cover;
   text-align: left;
}
.nameproduct{
  margin-top:auto;
  background-color:var(--bg-white);
  padding: var(--spacer5px);
  padding-left: var(--spacer10px);
  font-weight: bold;
}

.bot_disponible {
    color: var(--bg-green);
  }

.bot_no_disponible  {
    color: var(--bg-orangered);
  }
.txt_disponible {
    color: var(--bg-bluegrey);
  }

.txt_no_disponible  {
    color: var(--bg-bluegrey-light);
  }
.img_disponible {
  -webkit-filter: grayscale(0);
  filter: none;
}
.img_no_disponible {
  filter: gray; 
  -webkit-filter: grayscale(1); 
  filter: grayscale(1);
  opacity: 0.5; 
}

  @media only screen and (max-width: 768px){
        
      ul {
        display: flex;
        align-items: left;
        justify-content: flex-start;
        flex-wrap: wrap;
      }
      li {
      width: 45%;
}
    }

@media only screen and (max-width: 425px){
      ul{
        padding: 0;
      }  
      li {
      width: 100%;
      }
    }
</style>
